---
title: '-webkit-transform-3d'
slug: Web/CSS/@media/-webkit-transform-3d
tags:
  - '-webkit-transform-3d'
  - 3D
  - '@media'
  - CSS
  - Non-standard
  - Reference
  - WebKit
  - media feature
  - transform
---
<div>{{ Non-standard_header }}</div>

<p>The <strong><code>-webkit-transform-3d</code></strong> Boolean <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> is a <a href="/en-US/docs/Web/CSS/Webkit_Extensions">Chrome extension</a> whose value is <code>true</code> if vendor-prefixed CSS 3D {{cssxref("transform")}}s are supported.</p>

<div class="note">
<p><strong>Note:</strong> This media feature is only supported by WebKit and Blink. If possible, use an {{cssxref("@supports")}} feature query instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<p><code>-webkit-transform-3d</code> is a Boolean <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> whose value is <code>true</code> if the browser supports <code>-webkit</code> prefixed CSS 3D {{cssxref("transform")}}s.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>true</code></dt>
 <dd>The browser supports the 3D CSS transforms with the <code>-webkit</code> prefix.</dd>
 <dt><code>false</code></dt>
 <dd>The 3D CSS transforms prefixed with <code>-webkit</code> are not supported by the browser.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Examples_of_media_queries_with_-webkit-transform-3d">Examples of media queries with -webkit-transform-3d</h3>

<pre class="brush: css notranslate">@media (-webkit-transform-3d) {
  .foo {
    transform-style: preserve-3d;
  }
}

@media (-webkit-transform-3d: 1) {
  .foo {
    transform-style: preserve-3d;
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Compat', '#css-media-queries-webkit-transform-3d', '-webkit-transform-3d')}}</td>
   <td>{{Spec2('Compat')}}</td>
   <td>Initial standardization</td>
  </tr>
  <tr>
   <td><a class="external" href="https://developer.apple.com/library/safari/documentation/AppleApplications/Reference/SafariCSSRef/Articles/OtherStandardCSS3Features.html#//apple_ref/doc/uid/TP40007601-SW3">Safari CSS Reference<br>
    <small lang="en-US">'media query extensions' in that document.</small></a></td>
   <td>Non-standard unofficial documentation</td>
   <td>Initial documentation</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.-webkit-transform-3d")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("@media/-webkit-transform-2d", "-webkit-transform-2d")}}</li>
 <li>{{cssxref("@media/-webkit-transition", "-webkit-transition")}}</li>
 <li>{{cssxref("@media/-webkit-animation", "-webkit-animation")}}</li>
 <li><a href="http://www.quirksmode.org/css/tests/mediaqueries/animation.html">Test page at quirksmode.org</a></li>
</ul>

<div>{{ CSSRef }}</div>
